Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156636 - [IT 54907] System oopsing in __get_lease()
Summary: [IT 54907] System oopsing in __get_lease()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 143573
TreeView+ depends on / blocked
 
Reported: 2005-05-02 19:43 UTC by Jim Paradis
Modified: 2013-08-06 01:14 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-529
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-29 18:09:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch to fix (deleted)
2005-05-02 19:49 UTC, Jim Paradis
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:529 normal SHIPPED_LIVE Important: kernel security update 2005-08-25 04:00:00 UTC

Description Jim Paradis 2005-05-02 19:43:51 UTC
Kernel has oopsed several times. Netdump has capture the oops but not a complete
vmcore. The oops below is representative. The changes documented in the
following link are not present in  the RH kernel. I feel the race identified by
Stephen Rothwell involving the checking of whether inode->i_flock is not NULL
and the subseqeunt use of that pointer is a likely explanation for these oopses.

Kernel 2.4.9-e.49summit
CPU:    0
EIP:    0010:[<c015a483>]    Not tainted
EFLAGS: 00010246
EIP is at __get_lease [kernel] 0x43
eax: 00000000   ebx: 00000000   ecx: 00000000   edx: c0692000
esi: 00000000   edi: 00000000   ebp: f4129080   esp: c0693efc
ds: 0018   es: 0018   ss: 0018
Process cluster_smbd (pid: 21235, stackpage=c0693000)
Stack: e23499a0 dfda3006 c01291fe 00002710 c01528b9 f4129080 ffffffff
00008001
      c0693f7c c01540de f4129080 00008001 00000000 00000004 f1edd900
00000000
      d8069180 bffec968 d8069180 bffec968 c0693f88 c015b291 f6f4decc
00008000
Call Trace: [<c01291fe>] in_group_p [kernel] 0x1e (0xc0693f04)                 
 pg.  7
[<c01528b9>] vfs_permission [kernel] 0x79 (0xc0693f0c)
[<c01540de>] open_namei [kernel] 0x3de (0xc0693f20)
[<c015b291>] fcntl_setlk64 [kernel] 0x1c1 (0xc0693f50)
[<c01470d6>] filp_open [kernel] 0x36 (0xc0693f68)
[<c01527fe>] getname [kernel] 0x5e (0xc0693f88)
[<c01473d6>] sys_open [kernel] 0x36 (0xc0693fa0)
[<c01073e3>] system_call [kernel] 0x33 (0xc0693fc0)

Comment 1 Jim Paradis 2005-05-02 19:49:49 UTC
Created attachment 113943 [details]
Patch to fix

This is the final patch agreed upon in the IT.	It's the least invasive fix.

Comment 6 Red Hat Bugzilla 2005-09-29 18:09:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-529.html



Note You need to log in before you can comment on or make changes to this bug.